Loading...
Searching...
No Matches
irr::SEvent::SKeyInput Struct Reference

Any kind of keyboard event. More...

`#include <IEventReceiver.h>`

## Public Attributes

wchar_t | Char
| Character corresponding to the key (0, if not a character).
bool | Control:1
| True if ctrl was also pressed.
EKEY_CODE | Key
| Key which has been pressed or released.
bool | PressedDown:1
| If not true, then the key was left up.
bool | Shift:1
| True if shift was also pressed.

## Detailed Description

Any kind of keyboard event.

Definition at line 316 of file IEventReceiver.h.

## Member Data Documentation

## Char

wchar_t irr::SEvent::SKeyInput::Char

Character corresponding to the key (0, if not a character).

Definition at line 319 of file IEventReceiver.h.

## Control

bool irr::SEvent::SKeyInput::Control

True if ctrl was also pressed.

Definition at line 331 of file IEventReceiver.h.

## Key

EKEY_CODE irr::SEvent::SKeyInput::Key

Key which has been pressed or released.

Definition at line 322 of file IEventReceiver.h.

## PressedDown

bool irr::SEvent::SKeyInput::PressedDown

If not true, then the key was left up.

Definition at line 325 of file IEventReceiver.h.

## Shift

bool irr::SEvent::SKeyInput::Shift

True if shift was also pressed.

Definition at line 328 of file IEventReceiver.h.

The documentation for this struct was generated from the following file:

- IEventReceiver.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0